@import "../../variables";

.menu {
  width: 300px;
  background-color: #ffffff;
  position: fixed;
  height: 100%;
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.1);

  &__body {
    margin: 100px 0 10px 0;
    font-size: 18px;
  }

  &__link {
    display: block;
    width: 100%;
    padding: 20px 50px;
    color: #333333;

    &:hover {
      background-color: #f8f8f8;
      font-weight: 600;
    }
  }

  &__icon {
    padding-right: 20px;
    color: #325162;
  }

  &__link-active {
    border-left: 3px solid $mainColor;
    padding: 20px 47px;
    background-color: #f8f8f8;
    font-weight: 600;
  }

  &__user {
    border-top: 2px solid #dddddd;
    padding: 20px 0;
  }
}